<div class="row justify-content-center">
  <div class="col-8">
    <div *ngIf="orderLine">
      <h2 data-cy="orderLineDetailsHeading"><span jhiTranslate="ltnAppApp.orderLine.detail.title">Order Line</span></h2>

      <hr />

      <jhi-alert-error></jhi-alert-error>

      <jhi-alert></jhi-alert>

      <dl class="row-md jh-entity-details">
        <dt><span jhiTranslate="ltnAppApp.orderLine.id">Id</span></dt>
        <dd>
          <span>{{ orderLine.id }}</span>
        </dd>
        <dt><span jhiTranslate="ltnAppApp.orderLine.quantity">Quantity</span></dt>
        <dd>
          <span>{{ orderLine.quantity }}</span>
        </dd>
        <dt><span jhiTranslate="ltnAppApp.orderLine.price">Price</span></dt>
        <dd>
          <span>{{ orderLine.price }}</span>
        </dd>
        <dt><span jhiTranslate="ltnAppApp.orderLine.parent">Parent</span></dt>
        <dd>
          <div *ngIf="orderLine.parent">
            <a [routerLink]="['/order', orderLine.parent?.id, 'view']">{{ orderLine.parent?.id }}</a>
          </div>
        </dd>
        <dt><span jhiTranslate="ltnAppApp.orderLine.product">Product</span></dt>
        <dd>
          <div *ngIf="orderLine.product">
            <a [routerLink]="['/product', orderLine.product?.id, 'view']">{{ orderLine.product?.id }}</a>
          </div>
        </dd>
      </dl>

      <button type="submit" (click)="previousState()" class="btn btn-info" data-cy="entityDetailsBackButton">
        <fa-icon icon="arrow-left"></fa-icon>&nbsp;<span jhiTranslate="entity.action.back">Back</span>
      </button>

      <button type="button" [routerLink]="['/order-line', orderLine.id, 'edit']" class="btn btn-primary">
        <fa-icon icon="pencil-alt"></fa-icon>&nbsp;<span jhiTranslate="entity.action.edit">Edit</span>
      </button>
    </div>
  </div>
</div>
